> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Reaction

Create a custom reaction that runs commands or scripts on the endpoints.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [Trellix EDR documentation](https://docs.trellix.com/bundle/mvision-endpoint-detection-and-response-product-guide/page/UUID-3fb8b38e-1bac-0b4f-f4c4-ea0d6556233c.html).

## Parameters

| Parameter | Description |
| - | - |
| Arguments | A JSON array of the arguments the reaction accepts. **For example:** <pre>`[  {    "name": "ABC",    "type": "NUMBER"  }]`</pre> |
| Contents | A JSON array of the content to run per platform and capability. **For example:** <pre>`[  {    "platform": {"name": "windows"},    "capability": {"name": "Execute Powershell Script"},    "content": "ls"  }]`</pre> |
| Description | The description of the reaction. |
| Name | The name of the reaction. Custom reactions are prefixed with an underscore. |
| Timeout | The maximum number of seconds to let the reaction run for. |
| Type | The type of the resource in the request body. |

## Example Output

```json theme={"dark"}
{
	"data": {
		"id": "587",
		"type": "customReactions",
		"attributes": {
			"catalogVersion": 0,
			"metadata": {},
			"hidden": false,
			"dbVersion": 0,
			"description": "Creating a new reaction",
			"timeout": 60,
			"internalArguments": {},
			"internalName": "_Check_New_reaction",
			"remediation": false,
			"task": "REACTION",
			"contents": [
				{
					"id": "11976",
					"platform": {
						"catalogVersion": 1307,
						"dbVersion": 0,
						"id": "1",
						"name": "windows",
						"topic": "/mcafee/mar/agent/query/windows",
						"enabled": true
					},
					"capability": {
						"catalogVersion": 1307,
						"dbVersion": 0,
						"id": "27",
						"name": "Execute PowerShell Script",
						"description": "Runs Windows PowerShell Scripts",
						"module": "SystemRuntime",
						"function": "executePS",
						"contentEnabled": true,
						"outputs": [],
						"formatArgs": {
							"hasHeaders": false,
							"delimiter": ","
						},
						"format": "CSV",
						"platforms": [
							{
								"catalogVersion": 1307,
								"dbVersion": 0,
								"id": "1",
								"name": "windows",
								"topic": "/mcafee/mar/agent/query/windows",
								"enabled": true
							}
						],
						"platformSettings": [
							{
								"id": "5346",
								"platform": {
									"catalogVersion": 1307,
									"dbVersion": 0,
									"id": "1",
									"name": "windows",
									"topic": "/mcafee/mar/agent/query/windows",
									"enabled": true
								},
								"utf8Sensitive": false
							}
						],
						"itemType": "CUSTOM",
						"catalogItems": [
							"REACTION",
							"COLLECTOR"
						]
					},
					"content": "ls\r\n",
					"arguments": [],
					"utf8Sensitive": false
				}
			],
			"availableForTrigger": true,
			"name": "_Check_New_reaction",
			"arguments": [
				{
					"id": "2946",
					"name": "abc",
					"type": "NUMBER",
					"optional": false
				}
			],
			"availableOffline": false
		}
	},
	"links": {
		"self": "/edr/v2/reactions/587"
	}
}
```

## Workflow Library Example

[Create Reaction with Trellix Edr and Send Results Via Email](https://library.blinkops.com/workflows/create-reaction-with-trellix-edr-and-send-results-via-email)

![Workflow Library](https://mintcdn.com/blinkops-2/ojHYuDeYX5FWuN8a/img/Icons/play-box.svg?fit=max\&auto=format\&n=ojHYuDeYX5FWuN8a\&q=85\&s=b8af968e71438a9499c3223c9bd29fb2)

Preview this Workflow on desktop

[https://library.blinkops.com/workflows/create-reaction-with-trellix-edr-and-send-results-via-email/canvas](https://library.blinkops.com/workflows/create-reaction-with-trellix-edr-and-send-results-via-email/canvas)
